Send event
curl --request POST \
--url https://api.bridge.xyz/v0/webhooks/{webhookID}/send \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"event_id": "<string>"
}
'import requests
url = "https://api.bridge.xyz/v0/webhooks/{webhookID}/send"
payload = { "event_id": "<string>" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({event_id: '<string>'})
};
fetch('https://api.bridge.xyz/v0/webhooks/{webhookID}/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Successfully sent the webhook event. This does not guarantee immediate delivery to the endpoint."
}Webhooks
Send event
Send an event to the specified webhook endpoint. This will not effect other events in the delivery queue. This operation is possible for both active and disabled webhook endpoints.
POST
/
webhooks
/
{webhookID}
/
send
Send event
Authorizations
Headers
Path Parameters
A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*Body
application/json
Specify the event to send to your endpoint.
The ID of the event that will be delivered to your endpoint
Minimum string length:
1Response
Event sent successfully
Message indicating the status of the request
Was this page helpful?
⌘I
